*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body{
    font-family: 'Poppins', sans-serif;
    font-family: 'Roboto Mono', monospace;
}

.header{
    background: #7dbbedbd;
}

.header .row{
    margin-top: 30px;
}

.container{
    max-width: 1300px;
    margin: auto;
    padding-left: 25px;
    padding-right: 25px;
}

.nav_bar{
    display: flex;
    align-items: center;
    padding: 20px;
}

nav{
    flex: 1;
    text-align: right;
}

nav ul{
    display: inline-block;
    list-style-type: none;
}

nav ul li{
    display: inline-block;
    margin-right: 20px;
}

a{
    text-decoration: none;
    color:rgb(64, 40, 145);
}

p{
    color: black;
}

.row{
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: space-around;
}

.col-2{
    flex-basis: 50%;
    min-width: 300px;
}

.col-2 img{
    max-width: 100%;
    padding: 50px 0;
}

.col-2 h1{
    font-size: 50px;
    line-height: 60px;
    margin: 25px 0;
}

.cta{
    display: inline-block;
    background: #f00909;
    color: azure;
    padding: 8px 30px;
    margin: 30px 0;
    border-radius: 30px;
    transition: background 0.5;
}

.cta:hover{
    background: #565656;
}

/*-------------------Categories-----------------------*/

.categories{
    margin: 70px 0;
}

.small_container{
    max-width: 1080px;
    margin: auto;
    padding-left: 25px;
    padding-right: 25px;
}

.col-3{
    flex-basis: 30%;
    min-width: 250px;
    margin-bottom: 30px;
}

.col-3 img{
    width: 100%;
}

/*--------------------------Products----------------------------*/

.col-4{
    flex-basis: 25%;
    padding: 10px;
    min-width: 200px;
    margin-bottom: 50px;
    transition: transform 0.5;
}

.col-4 img{
    width: 100%;
}

.subtitle{
    text-align: center;
    margin: 0 auto 80px;
    position: relative;
    line-height: 60px;
    color: #555755;
}

.subtitle::after{
    content: '';
    background-color: #f00909;
    width: 80px;
    height: 10px;
    border-radius: 5px;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
}

h4{
    color: #555755;
    font-weight: normal;
}

.col-4 p{
    font-size: 14px;
}

.rantings .fa{
    color: darkslateblue;
}

.col-4:hover{
    transform: translateY(5px);
}

/*ofertas*/

.offer{
    background: #7dbbedbd;
    margin-top: 80px;
    padding: 0;
}

.col-2 .offer--img{
    padding: 50px;
}

small{
    color: #f3ebeb;
}

/*testimonial*/

.testimonial{
    padding-top: 100px;
}

.testimonial .col-3{
    text-align: center;
    padding: 40px 20px;
    box-shadow: 0 0 20px 0 rgba(0,0,0,0.1);
    cursor: pointer;
    transition: transform 0.5s;
}

.testimonial .col-3 img{
    width: 50px;
    margin-top: 20px;
    border-radius: 50%;
}

.testimonial .col-3:hover{
    transform: translateY(-10px);
}

.col-3 .fa-quote-left{
    font-size: 12px;
    margin: 12px 0;
    color: #3ef116;
}

.col-3 p{
    font-size: 12px;
    margin: 12px 0;
    color: #777;
}

.testimonial .col-3 h3{
    font-weight: 600;
    color: #555;
    font-size: 16px;
}

/* Marcas*/

.brands{
    margin: 100px auto;

}

.col-5{
    width: 150px;
}

.col-5 img{
    width: 100%;
    cursor: pointer;
    filter: grayscale(100%);
}

.col-5 img:hover{
    filter: grayscale(0%);
}

/*---------pie de pagina-------------*/

.footer{
    background: #000000;
    color: #8a8a8a;
    font-size: 14px;
    padding: 60px 0 20px;
}

.footer p{
    color: #8a8a8a;
}

.footer h3{
    color: #fff;
    margin-bottom: 20px;
}

.footer-col-1, .footer-col-2, .footer-col-3, .footer-col-4{
    min-width: 250px;
    margin-bottom: 30px;
}

.footer-col-1{
    flex-basis: 30%;
}

.footer-col-2{
    flex: 1;
    text-align: center;
}

.footer-col-2 img{
    width: 180px;
    margin-bottom: 20px;
}

.footer-col-3, .footer-col-4{
    flex-basis: 12%;
    text-align: center;
}

.footer-col-3 a, .footer-col-4 a{
    
    color: #8a8a8a;
}

ul{
    list-style-type: none;
}

.footer hr{
    border: none;
    background: #b5b5b5;
    height: 2px;
    margin: 20px 0;
}

.copyright{
    text-align: center;
}

.menu-icon{
    width: 28px;
    margin-left: 20px;
    display: none;
}

/*-----------todos los productos------*/

.row_2{
    justify-content: space-between;
    margin: 100px auto 50px;
}

select{
    border: 1px solid #ff523b;
    padding: 5px;
}

select:focus{
    outline: none;
}

.page_btn{
    margin: 0 auto 80px;
}

.page_btn span{
    display: inline-block;
    border: 1px solid #ff523b;
    margin-left: 10px;
    width: 40px;
    height: 40px;
    text-align: center;
    line-height: 40px;
    cursor: pointer;
}

.page_btn span:hover{
    background-color: #ff523b;
    color: #fff;
}

/*Productos individuales*/

.single_product{
	margin-top: 20px;
}

.single_product .col-2 img{
	padding: 0;
}

.single_product .col-2{
    padding: 20px;
}

.single_product h4{
    margin: 20px 0;
    font-size: 20px;
    font-weight: bold;
}

.single_product select{
    display: block;
    padding: 10px;
    margin-top: 20px;
}

.single_product input{
    width: 50px;
    height: 40px;
    padding-left: 10px;
    font-size: 20px;
    margin-right: 10px;
    border: 1px solid #ff523b;
}

input:focus{
    outline: none;
}

.single_product fa{
    color: #ff523b;
    margin-left: 10px;
}

.small_img_row{
    display: flex;
    justify-content: space-between;
}

.small_img_col{
    flex-basis: 25%;
    cursor: pointer;
}

/*carrito de compras*/

.carro_compras{
    margin: 80px auto;
}

table{
    width: 100%;
    border-collapse: collapse;
}

.cart_info{
    display: flex;
    flex-wrap: wrap;
}

.cart_info small{
    color: #000000;
}

th{
    text-align: left;
    padding: 5px;
    color: #0b0b0b;
    background: #f00909;
    font-weight: normal;
}

td{
    padding: 10px 5px;
    font-size: 12px;
}

td img{
    width: 100px;
    height: 100px;
    margin-right: 10px;
}

td input{
    width: 60px;
    height: 40px;
    padding: 5px;
}

td a{
    color: #555;
    font-size: 14px;
}

.total{
    display: flex;
    justify-content: flex-end;
}

.total table{
    border-top: 3px solid #565656;
    width: 100%;
    max-width: 400px;
}

td:last-child{
    text-align: right;
}

th:last-child{
    text-align: right;
}

/*------------Account page----*/

.account_page{
    padding: 50px 0;
    background: radial-gradient(#fff,#ffd6d6)
}

.form_container{
    background: #fff;
    width: 300px;
    height: 400px;
    position: relative;
    text-align: center;
    padding: 20px 0;
    margin: auto;
    box-shadow: 0 0 20px 0px rgba(0,0,0,0.1);
    overflow: hidden;
}

.form_container span{
    font-weight: bold;
    padding: 0 10px;
    color: #555;
    cursor: pointer;
    width: 100px;
    display: inline-block;
}

.form_btn{
    display: inline-block;
}

.form_container form{
    max-width: 300px;
    padding: 0 20px;
    position: absolute;
    top: 120px;
    transition: 1s;
}

form input{
    width: 100%;
    height: 30px;
    margin: 10px 0;
    padding: 0 10px;
    border: 1px solid #ccc;
}

form .cta{
    width: 100%;
    border: none;
    cursor: pointer;
    margin: 10px 0;
}

form .cta:focus{
    outline: none;
}

#Login{
    left: -300px;
}

#Register{
    left: 0;
}

form a{
    font-size: 12px;
}

#Indicator{
    width: 100px;
    border: none;
    background: #ff523b;
    height: 3px;
    margin-top: 10px;
    transform: translateX(100px);
    transition: transform 1s;
}

.form_contact{
    max-width: 500px;
    padding: 10px;
}

/*-----media query menu--------*/

@media(max-width:800px){

    nav ul{
        position: absolute;
        top: 70px;
        left: 0;
        background: #ebf1cb;
        width: 100%;
        overflow: hidden;
        transition: max-height 0.5s;
    }

    nav ul li{
        display: block;
        margin-right: 50px;
        margin-top: 10px;
        margin-bottom: 15px;
    }
    
    .menu-icon{
        display: block;
        cursor: pointer;
    }
}

@media(max-width:600px) {

    .row{
        text-align: center;
    }

    .col-2, .col-3, .col-4, .col-5{
        flex-basis: 100%;
    }
    
    .single_product .row{
        text-align: left;
    }

    .single_product .col-2{
        padding: 20px 0;
    }

    .single_product h1{
        font-size: 24px;
        line-height: 32px;
    }

    .cart_info{
        display: none;
    }

}
